/[svn]/branches/ircd-hybrid-20121027/Makefile.in
ViewVC logotype

Diff of /branches/ircd-hybrid-20121027/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 923 by michael, Mon Nov 12 19:15:27 2007 UTC revision 1009 by michael, Sun Sep 13 15:02:30 2009 UTC
# Line 1  Line 1 
1  # Makefile.in generated by automake 1.10 from Makefile.am.  # Makefile.in generated by automake 1.11 from Makefile.am.
2  # @configure_input@  # @configure_input@
3    
4  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5  # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.  # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6    # Inc.
7  # This Makefile.in is free software; the Free Software Foundation  # This Makefile.in is free software; the Free Software Foundation
8  # gives unlimited permission to copy and/or distribute it,  # gives unlimited permission to copy and/or distribute it,
9  # with or without modifications, as long as this notice is preserved.  # with or without modifications, as long as this notice is preserved.
# Line 15  Line 16 
16  @SET_MAKE@  @SET_MAKE@
17  VPATH = @srcdir@  VPATH = @srcdir@
18  pkgdatadir = $(datadir)/@PACKAGE@  pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@  
19  pkgincludedir = $(includedir)/@PACKAGE@  pkgincludedir = $(includedir)/@PACKAGE@
20    pkglibdir = $(libdir)/@PACKAGE@
21    pkglibexecdir = $(libexecdir)/@PACKAGE@
22  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23  install_sh_DATA = $(install_sh) -c -m 644  install_sh_DATA = $(install_sh) -c -m 644
24  install_sh_PROGRAM = $(install_sh) -c  install_sh_PROGRAM = $(install_sh) -c
# Line 47  am__CONFIG_DISTCLEAN_FILES = config.stat Line 49  am__CONFIG_DISTCLEAN_FILES = config.stat
49  mkinstalldirs = $(install_sh) -d  mkinstalldirs = $(install_sh) -d
50  CONFIG_HEADER = config.h  CONFIG_HEADER = config.h
51  CONFIG_CLEAN_FILES = contrib/help/Makefile  CONFIG_CLEAN_FILES = contrib/help/Makefile
52    CONFIG_CLEAN_VPATH_FILES =
53  SOURCES =  SOURCES =
54  DIST_SOURCES =  DIST_SOURCES =
55  RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \  RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
# Line 58  RECURSIVE_TARGETS = all-recursive check- Line 61  RECURSIVE_TARGETS = all-recursive check-
61          ps-recursive uninstall-recursive          ps-recursive uninstall-recursive
62  RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \  RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
63    distclean-recursive maintainer-clean-recursive    distclean-recursive maintainer-clean-recursive
64    AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
65            $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
66            distdir dist dist-all distcheck
67  ETAGS = etags  ETAGS = etags
68  CTAGS = ctags  CTAGS = ctags
69  DIST_SUBDIRS = $(SUBDIRS)  DIST_SUBDIRS = $(SUBDIRS)
# Line 65  DISTFILES = $(DIST_COMMON) $(DIST_SOURCE Line 71  DISTFILES = $(DIST_COMMON) $(DIST_SOURCE
71  distdir = $(PACKAGE)-$(VERSION)  distdir = $(PACKAGE)-$(VERSION)
72  top_distdir = $(distdir)  top_distdir = $(distdir)
73  am__remove_distdir = \  am__remove_distdir = \
74    { test ! -d $(distdir) \    { test ! -d "$(distdir)" \
75      || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \      || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
76           && rm -fr $(distdir); }; }           && rm -fr "$(distdir)"; }; }
77    am__relativize = \
78      dir0=`pwd`; \
79      sed_first='s,^\([^/]*\)/.*$$,\1,'; \
80      sed_rest='s,^[^/]*/*,,'; \
81      sed_last='s,^.*/\([^/]*\)$$,\1,'; \
82      sed_butlast='s,/*[^/]*$$,,'; \
83      while test -n "$$dir1"; do \
84        first=`echo "$$dir1" | sed -e "$$sed_first"`; \
85        if test "$$first" != "."; then \
86          if test "$$first" = ".."; then \
87            dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
88            dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
89          else \
90            first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
91            if test "$$first2" = "$$first"; then \
92              dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
93            else \
94              dir2="../$$dir2"; \
95            fi; \
96            dir0="$$dir0"/"$$first"; \
97          fi; \
98        fi; \
99        dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
100      done; \
101      reldir="$$dir2"
102  DIST_ARCHIVES = $(distdir).tar.gz  DIST_ARCHIVES = $(distdir).tar.gz
103  GZIP_ENV = --best  GZIP_ENV = --best
104  distuninstallcheck_listfiles = find . -type f -print  distuninstallcheck_listfiles = find . -type f -print
# Line 75  distcleancheck_listfiles = find . -type Line 106  distcleancheck_listfiles = find . -type
106  ACLOCAL = @ACLOCAL@  ACLOCAL = @ACLOCAL@
107  AMTAR = @AMTAR@  AMTAR = @AMTAR@
108  AR = @AR@  AR = @AR@
109    ARGZ_H = @ARGZ_H@
110  AUTOCONF = @AUTOCONF@  AUTOCONF = @AUTOCONF@
111  AUTOHEADER = @AUTOHEADER@  AUTOHEADER = @AUTOHEADER@
112  AUTOMAKE = @AUTOMAKE@  AUTOMAKE = @AUTOMAKE@
# Line 84  CCDEPMODE = @CCDEPMODE@ Line 116  CCDEPMODE = @CCDEPMODE@
116  CFLAGS = @CFLAGS@  CFLAGS = @CFLAGS@
117  CPP = @CPP@  CPP = @CPP@
118  CPPFLAGS = @CPPFLAGS@  CPPFLAGS = @CPPFLAGS@
 CXX = @CXX@  
 CXXCPP = @CXXCPP@  
 CXXDEPMODE = @CXXDEPMODE@  
 CXXFLAGS = @CXXFLAGS@  
119  CYGPATH_W = @CYGPATH_W@  CYGPATH_W = @CYGPATH_W@
120  DATADIR = @DATADIR@  DATADIR = @DATADIR@
121  DEFS = @DEFS@  DEFS = @DEFS@
122  DEPDIR = @DEPDIR@  DEPDIR = @DEPDIR@
123  ECHO = @ECHO@  DSYMUTIL = @DSYMUTIL@
124    DUMPBIN = @DUMPBIN@
125  ECHO_C = @ECHO_C@  ECHO_C = @ECHO_C@
126  ECHO_N = @ECHO_N@  ECHO_N = @ECHO_N@
127  ECHO_T = @ECHO_T@  ECHO_T = @ECHO_T@
128  EGREP = @EGREP@  EGREP = @EGREP@
129  EXEEXT = @EXEEXT@  EXEEXT = @EXEEXT@
130  F77 = @F77@  FGREP = @FGREP@
 FFLAGS = @FFLAGS@  
131  GREP = @GREP@  GREP = @GREP@
132  INCLTDL = @INCLTDL@  INCLTDL = @INCLTDL@
133  INSTALL = @INSTALL@  INSTALL = @INSTALL@
# Line 107  INSTALL_DATA = @INSTALL_DATA@ Line 135  INSTALL_DATA = @INSTALL_DATA@
135  INSTALL_PROGRAM = @INSTALL_PROGRAM@  INSTALL_PROGRAM = @INSTALL_PROGRAM@
136  INSTALL_SCRIPT = @INSTALL_SCRIPT@  INSTALL_SCRIPT = @INSTALL_SCRIPT@
137  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
138    LD = @LD@
139  LDFLAGS = @LDFLAGS@  LDFLAGS = @LDFLAGS@
140  LEX = @LEX@  LEX = @LEX@
141  LEXLIB = @LEXLIB@  LEXLIB = @LEXLIB@
142  LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@  LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
143    LIBADD_DL = @LIBADD_DL@
144    LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
145    LIBADD_DLOPEN = @LIBADD_DLOPEN@
146    LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
147  LIBDIR = @LIBDIR@  LIBDIR = @LIBDIR@
148  LIBLTDL = @LIBLTDL@  LIBLTDL = @LIBLTDL@
149  LIBOBJS = @LIBOBJS@  LIBOBJS = @LIBOBJS@
150  LIBS = @LIBS@  LIBS = @LIBS@
151  LIBTOOL = @LIBTOOL@  LIBTOOL = @LIBTOOL@
152    LIPO = @LIPO@
153  LN_S = @LN_S@  LN_S = @LN_S@
154  LOCALSTATEDIR = @LOCALSTATEDIR@  LOCALSTATEDIR = @LOCALSTATEDIR@
155    LTDLDEPS = @LTDLDEPS@
156    LTDLINCL = @LTDLINCL@
157    LTDLOPEN = @LTDLOPEN@
158  LTLIBOBJS = @LTLIBOBJS@  LTLIBOBJS = @LTLIBOBJS@
159    LT_CONFIG_H = @LT_CONFIG_H@
160    LT_DLLOADERS = @LT_DLLOADERS@
161    LT_DLPREOPEN = @LT_DLPREOPEN@
162  MAINT = @MAINT@  MAINT = @MAINT@
163  MAKEINFO = @MAKEINFO@  MAKEINFO = @MAKEINFO@
164  MKDIR_P = @MKDIR_P@  MKDIR_P = @MKDIR_P@
165    NM = @NM@
166    NMEDIT = @NMEDIT@
167    OBJDUMP = @OBJDUMP@
168  OBJEXT = @OBJEXT@  OBJEXT = @OBJEXT@
169    OTOOL = @OTOOL@
170    OTOOL64 = @OTOOL64@
171  PACKAGE = @PACKAGE@  PACKAGE = @PACKAGE@
172  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
173  PACKAGE_NAME = @PACKAGE_NAME@  PACKAGE_NAME = @PACKAGE_NAME@
174  PACKAGE_STRING = @PACKAGE_STRING@  PACKAGE_STRING = @PACKAGE_STRING@
175  PACKAGE_TARNAME = @PACKAGE_TARNAME@  PACKAGE_TARNAME = @PACKAGE_TARNAME@
176    PACKAGE_URL = @PACKAGE_URL@
177  PACKAGE_VERSION = @PACKAGE_VERSION@  PACKAGE_VERSION = @PACKAGE_VERSION@
178  PATH_SEPARATOR = @PATH_SEPARATOR@  PATH_SEPARATOR = @PATH_SEPARATOR@
179  PREFIX = @PREFIX@  PREFIX = @PREFIX@
# Line 145  abs_srcdir = @abs_srcdir@ Line 191  abs_srcdir = @abs_srcdir@
191  abs_top_builddir = @abs_top_builddir@  abs_top_builddir = @abs_top_builddir@
192  abs_top_srcdir = @abs_top_srcdir@  abs_top_srcdir = @abs_top_srcdir@
193  ac_ct_CC = @ac_ct_CC@  ac_ct_CC = @ac_ct_CC@
194  ac_ct_CXX = @ac_ct_CXX@  ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 ac_ct_F77 = @ac_ct_F77@  
195  am__include = @am__include@  am__include = @am__include@
196  am__leading_dot = @am__leading_dot@  am__leading_dot = @am__leading_dot@
197  am__quote = @am__quote@  am__quote = @am__quote@
# Line 177  libdir = @libdir@ Line 222  libdir = @libdir@
222  libexecdir = @libexecdir@  libexecdir = @libexecdir@
223  localedir = @localedir@  localedir = @localedir@
224  localstatedir = @localstatedir@  localstatedir = @localstatedir@
225    lt_ECHO = @lt_ECHO@
226    ltdl_LIBOBJS = @ltdl_LIBOBJS@
227    ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
228  mandir = @mandir@  mandir = @mandir@
229  mkdir_p = @mkdir_p@  mkdir_p = @mkdir_p@
230  oldincludedir = @oldincludedir@  oldincludedir = @oldincludedir@
# Line 188  sbindir = @sbindir@ Line 236  sbindir = @sbindir@
236  sharedstatedir = @sharedstatedir@  sharedstatedir = @sharedstatedir@
237  srcdir = @srcdir@  srcdir = @srcdir@
238  subdirs = @subdirs@  subdirs = @subdirs@
239    sys_symbol_underscore = @sys_symbol_underscore@
240  sysconfdir = @sysconfdir@  sysconfdir = @sysconfdir@
241  target_alias = @target_alias@  target_alias = @target_alias@
242    top_build_prefix = @top_build_prefix@
243  top_builddir = @top_builddir@  top_builddir = @top_builddir@
244  top_srcdir = @top_srcdir@  top_srcdir = @top_srcdir@
245  AUTOMAKE_OPTIONS = foreign  AUTOMAKE_OPTIONS = foreign
246  SUBDIRS = tools libltdl doc etc help lib messages modules servlink src  SUBDIRS = tools libltdl doc etc help messages modules servlink src
247  all: config.h  all: config.h
248          $(MAKE) $(AM_MAKEFLAGS) all-recursive          $(MAKE) $(AM_MAKEFLAGS) all-recursive
249    
# Line 204  $(srcdir)/Makefile.in: @MAINTAINER_MODE_ Line 254  $(srcdir)/Makefile.in: @MAINTAINER_MODE_
254          @for dep in $?; do \          @for dep in $?; do \
255            case '$(am__configure_deps)' in \            case '$(am__configure_deps)' in \
256              *$$dep*) \              *$$dep*) \
257                echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \                echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
258                cd $(srcdir) && $(AUTOMAKE) --foreign  \                $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
259                  && exit 0; \                  && exit 0; \
260                exit 1;; \                exit 1;; \
261            esac; \            esac; \
262          done; \          done; \
263          echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \          echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
264          cd $(top_srcdir) && \          $(am__cd) $(top_srcdir) && \
265            $(AUTOMAKE) --foreign  Makefile            $(AUTOMAKE) --foreign Makefile
266  .PRECIOUS: Makefile  .PRECIOUS: Makefile
267  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
268          @case '$?' in \          @case '$?' in \
# Line 228  $(top_builddir)/config.status: $(top_src Line 278  $(top_builddir)/config.status: $(top_src
278          $(SHELL) ./config.status --recheck          $(SHELL) ./config.status --recheck
279    
280  $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)  $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
281          cd $(srcdir) && $(AUTOCONF)          $(am__cd) $(srcdir) && $(AUTOCONF)
282  $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)  $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
283          cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)          $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
284    $(am__aclocal_m4_deps):
285    
286  config.h: stamp-h1  config.h: stamp-h1
287          @if test ! -f $@; then \          @if test ! -f $@; then \
# Line 242  stamp-h1: $(srcdir)/config.h.in $(top_bu Line 293  stamp-h1: $(srcdir)/config.h.in $(top_bu
293          @rm -f stamp-h1          @rm -f stamp-h1
294          cd $(top_builddir) && $(SHELL) ./config.status config.h          cd $(top_builddir) && $(SHELL) ./config.status config.h
295  $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)  $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
296          cd $(top_srcdir) && $(AUTOHEADER)          ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
297          rm -f stamp-h1          rm -f stamp-h1
298          touch $@          touch $@
299    
# Line 258  clean-libtool: Line 309  clean-libtool:
309          -rm -rf .libs _libs          -rm -rf .libs _libs
310    
311  distclean-libtool:  distclean-libtool:
312          -rm -f libtool          -rm -f libtool config.lt
313    
314  # This directory's subdirectories are mostly independent; you can cd  # This directory's subdirectories are mostly independent; you can cd
315  # into them and run `make' without going through this Makefile.  # into them and run `make' without going through this Makefile.
# Line 284  $(RECURSIVE_TARGETS): Line 335  $(RECURSIVE_TARGETS):
335            else \            else \
336              local_target="$$target"; \              local_target="$$target"; \
337            fi; \            fi; \
338            (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \            ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
339            || eval $$failcom; \            || eval $$failcom; \
340          done; \          done; \
341          if test "$$dot_seen" = "no"; then \          if test "$$dot_seen" = "no"; then \
# Line 318  $(RECURSIVE_CLEAN_TARGETS): Line 369  $(RECURSIVE_CLEAN_TARGETS):
369            else \            else \
370              local_target="$$target"; \              local_target="$$target"; \
371            fi; \            fi; \
372            (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \            ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
373            || eval $$failcom; \            || eval $$failcom; \
374          done && test -z "$$fail"          done && test -z "$$fail"
375  tags-recursive:  tags-recursive:
376          list='$(SUBDIRS)'; for subdir in $$list; do \          list='$(SUBDIRS)'; for subdir in $$list; do \
377            test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \            test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
378          done          done
379  ctags-recursive:  ctags-recursive:
380          list='$(SUBDIRS)'; for subdir in $$list; do \          list='$(SUBDIRS)'; for subdir in $$list; do \
381            test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \            test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
382          done          done
383    
384  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
# Line 335  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS Line 386  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS
386          unique=`for i in $$list; do \          unique=`for i in $$list; do \
387              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
388            done | \            done | \
389            $(AWK) '    { files[$$0] = 1; } \            $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
390                 END { for (i in files) print i; }'`; \                END { if (nonempty) { for (i in files) print i; }; }'`; \
391          mkid -fID $$unique          mkid -fID $$unique
392  tags: TAGS  tags: TAGS
393    
394  TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \  TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
395                  $(TAGS_FILES) $(LISP)                  $(TAGS_FILES) $(LISP)
396          tags=; \          set x; \
397          here=`pwd`; \          here=`pwd`; \
398          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
399            include_option=--etags-include; \            include_option=--etags-include; \
# Line 354  TAGS: tags-recursive $(HEADERS) $(SOURCE Line 405  TAGS: tags-recursive $(HEADERS) $(SOURCE
405          list='$(SUBDIRS)'; for subdir in $$list; do \          list='$(SUBDIRS)'; for subdir in $$list; do \
406            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
407              test ! -f $$subdir/TAGS || \              test ! -f $$subdir/TAGS || \
408                tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \                set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
409            fi; \            fi; \
410          done; \          done; \
411          list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \          list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
412          unique=`for i in $$list; do \          unique=`for i in $$list; do \
413              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
414            done | \            done | \
415            $(AWK) '    { files[$$0] = 1; } \            $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
416                 END { for (i in files) print i; }'`; \                END { if (nonempty) { for (i in files) print i; }; }'`; \
417          if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \          shift; \
418            if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
419            test -n "$$unique" || unique=$$empty_fix; \            test -n "$$unique" || unique=$$empty_fix; \
420            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \            if test $$# -gt 0; then \
421              $$tags $$unique; \              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
422                  "$$@" $$unique; \
423              else \
424                $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
425                  $$unique; \
426              fi; \
427          fi          fi
428  ctags: CTAGS  ctags: CTAGS
429  CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \  CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
430                  $(TAGS_FILES) $(LISP)                  $(TAGS_FILES) $(LISP)
         tags=; \  
         here=`pwd`; \  
431          list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \          list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
432          unique=`for i in $$list; do \          unique=`for i in $$list; do \
433              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
434            done | \            done | \
435            $(AWK) '    { files[$$0] = 1; } \            $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
436                 END { for (i in files) print i; }'`; \                END { if (nonempty) { for (i in files) print i; }; }'`; \
437          test -z "$(CTAGS_ARGS)$$tags$$unique" \          test -z "$(CTAGS_ARGS)$$unique" \
438            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
439               $$tags $$unique               $$unique
440    
441  GTAGS:  GTAGS:
442          here=`$(am__cd) $(top_builddir) && pwd` \          here=`$(am__cd) $(top_builddir) && pwd` \
443            && cd $(top_srcdir) \            && $(am__cd) $(top_srcdir) \
444            && gtags -i $(GTAGS_ARGS) $$here            && gtags -i $(GTAGS_ARGS) "$$here"
445    
446  distclean-tags:  distclean-tags:
447          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
448    
449  distdir: $(DISTFILES)  distdir: $(DISTFILES)
450          $(am__remove_distdir)          $(am__remove_distdir)
451          test -d $(distdir) || mkdir $(distdir)          test -d "$(distdir)" || mkdir "$(distdir)"
452          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
453          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
454          list='$(DISTFILES)'; \          list='$(DISTFILES)'; \
# Line 409  distdir: $(DISTFILES) Line 464  distdir: $(DISTFILES)
464            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
465            if test -d $$d/$$file; then \            if test -d $$d/$$file; then \
466              dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \              dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
467                if test -d "$(distdir)/$$file"; then \
468                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
469                fi; \
470              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
471                cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \                cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
472                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
473              fi; \              fi; \
474              cp -pR $$d/$$file $(distdir)$$dir || exit 1; \              cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
475            else \            else \
476              test -f $(distdir)/$$file \              test -f "$(distdir)/$$file" \
477              || cp -p $$d/$$file $(distdir)/$$file \              || cp -p $$d/$$file "$(distdir)/$$file" \
478              || exit 1; \              || exit 1; \
479            fi; \            fi; \
480          done          done
481          list='$(DIST_SUBDIRS)'; for subdir in $$list; do \          @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
482            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
483              test -d "$(distdir)/$$subdir" \              test -d "$(distdir)/$$subdir" \
484              || $(MKDIR_P) "$(distdir)/$$subdir" \              || $(MKDIR_P) "$(distdir)/$$subdir" \
485              || exit 1; \              || exit 1; \
486              distdir=`$(am__cd) $(distdir) && pwd`; \            fi; \
487              top_distdir=`$(am__cd) $(top_distdir) && pwd`; \          done
488              (cd $$subdir && \          @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
489              if test "$$subdir" = .; then :; else \
490                dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
491                $(am__relativize); \
492                new_distdir=$$reldir; \
493                dir1=$$subdir; dir2="$(top_distdir)"; \
494                $(am__relativize); \
495                new_top_distdir=$$reldir; \
496                echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
497                echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
498                ($(am__cd) $$subdir && \
499                $(MAKE) $(AM_MAKEFLAGS) \                $(MAKE) $(AM_MAKEFLAGS) \
500                  top_distdir="$$top_distdir" \                  top_distdir="$$new_top_distdir" \
501                  distdir="$$distdir/$$subdir" \                  distdir="$$new_distdir" \
502                  am__remove_distdir=: \                  am__remove_distdir=: \
503                  am__skip_length_check=: \                  am__skip_length_check=: \
504                    am__skip_mode_fix=: \
505                  distdir) \                  distdir) \
506                || exit 1; \                || exit 1; \
507            fi; \            fi; \
508          done          done
509          -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \          -test -n "$(am__skip_mode_fix)" \
510            || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
511            ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \            ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
512            ! -type d ! -perm -400 -exec chmod a+r {} \; -o \            ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
513            ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \            ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
514          || chmod -R a+r $(distdir)          || chmod -R a+r "$(distdir)"
515  dist-gzip: distdir  dist-gzip: distdir
516          tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz          tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
517          $(am__remove_distdir)          $(am__remove_distdir)
# Line 449  dist-bzip2: distdir Line 520  dist-bzip2: distdir
520          tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2          tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
521          $(am__remove_distdir)          $(am__remove_distdir)
522    
523    dist-lzma: distdir
524            tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
525            $(am__remove_distdir)
526    
527    dist-xz: distdir
528            tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
529            $(am__remove_distdir)
530    
531  dist-tarZ: distdir  dist-tarZ: distdir
532          tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z          tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
533          $(am__remove_distdir)          $(am__remove_distdir)
# Line 475  distcheck: dist Line 554  distcheck: dist
554            GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\            GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
555          *.tar.bz2*) \          *.tar.bz2*) \
556            bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\            bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
557            *.tar.lzma*) \
558              unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
559            *.tar.xz*) \
560              xz -dc $(distdir).tar.xz | $(am__untar) ;;\
561          *.tar.Z*) \          *.tar.Z*) \
562            uncompress -c $(distdir).tar.Z | $(am__untar) ;;\            uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
563          *.shar.gz*) \          *.shar.gz*) \
# Line 486  distcheck: dist Line 569  distcheck: dist
569          mkdir $(distdir)/_build          mkdir $(distdir)/_build
570          mkdir $(distdir)/_inst          mkdir $(distdir)/_inst
571          chmod a-w $(distdir)          chmod a-w $(distdir)
572            test -d $(distdir)/_build || exit 0; \
573          dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \          dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
574            && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \            && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
575            && cd $(distdir)/_build \            && am__cwd=`pwd` \
576              && $(am__cd) $(distdir)/_build \
577            && ../configure --srcdir=.. --prefix="$$dc_install_base" \            && ../configure --srcdir=.. --prefix="$$dc_install_base" \
578              $(DISTCHECK_CONFIGURE_FLAGS) \              $(DISTCHECK_CONFIGURE_FLAGS) \
579            && $(MAKE) $(AM_MAKEFLAGS) \            && $(MAKE) $(AM_MAKEFLAGS) \
# Line 510  distcheck: dist Line 595  distcheck: dist
595            && rm -rf "$$dc_destdir" \            && rm -rf "$$dc_destdir" \
596            && $(MAKE) $(AM_MAKEFLAGS) dist \            && $(MAKE) $(AM_MAKEFLAGS) dist \
597            && rm -rf $(DIST_ARCHIVES) \            && rm -rf $(DIST_ARCHIVES) \
598            && $(MAKE) $(AM_MAKEFLAGS) distcleancheck            && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
599              && cd "$$am__cwd" \
600              || exit 1
601          $(am__remove_distdir)          $(am__remove_distdir)
602          @(echo "$(distdir) archives ready for distribution: "; \          @(echo "$(distdir) archives ready for distribution: "; \
603            list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \            list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
604            sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'            sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
605  distuninstallcheck:  distuninstallcheck:
606          @cd $(distuninstallcheck_dir) \          @$(am__cd) '$(distuninstallcheck_dir)' \
607          && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \          && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
608             || { echo "ERROR: files left after uninstall:" ; \             || { echo "ERROR: files left after uninstall:" ; \
609                  if test -n "$(DESTDIR)"; then \                  if test -n "$(DESTDIR)"; then \
# Line 558  clean-generic: Line 645  clean-generic:
645    
646  distclean-generic:  distclean-generic:
647          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
648            -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
649    
650  maintainer-clean-generic:  maintainer-clean-generic:
651          @echo "This command is intended for maintainers to use"          @echo "This command is intended for maintainers to use"
# Line 578  dvi-am: Line 666  dvi-am:
666    
667  html: html-recursive  html: html-recursive
668    
669    html-am:
670    
671  info: info-recursive  info: info-recursive
672    
673  info-am:  info-am:
# Line 586  install-data-am: install-data-local Line 676  install-data-am: install-data-local
676    
677  install-dvi: install-dvi-recursive  install-dvi: install-dvi-recursive
678    
679    install-dvi-am:
680    
681  install-exec-am:  install-exec-am:
682    
683  install-html: install-html-recursive  install-html: install-html-recursive
684    
685    install-html-am:
686    
687  install-info: install-info-recursive  install-info: install-info-recursive
688    
689    install-info-am:
690    
691  install-man:  install-man:
692    
693  install-pdf: install-pdf-recursive  install-pdf: install-pdf-recursive
694    
695    install-pdf-am:
696    
697  install-ps: install-ps-recursive  install-ps: install-ps-recursive
698    
699    install-ps-am:
700    
701  installcheck-am:  installcheck-am:
702    
703  maintainer-clean: maintainer-clean-recursive  maintainer-clean: maintainer-clean-recursive
# Line 620  ps-am: Line 720  ps-am:
720    
721  uninstall-am:  uninstall-am:
722    
723  .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \  .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
724          install-strip          ctags-recursive install-am install-strip tags-recursive
725    
726  .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \  .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
727          all all-am am--refresh check check-am clean clean-generic \          all all-am am--refresh check check-am clean clean-generic \
728          clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \          clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
729          dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \          dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
730          distclean-generic distclean-hdr distclean-libtool \          distcheck distclean distclean-generic distclean-hdr \
731          distclean-tags distcleancheck distdir distuninstallcheck dvi \          distclean-libtool distclean-tags distcleancheck distdir \
732          dvi-am html html-am info info-am install install-am \          distuninstallcheck dvi dvi-am html html-am info info-am \
733          install-data install-data-am install-data-local install-dvi \          install install-am install-data install-data-am \
734          install-dvi-am install-exec install-exec-am install-html \          install-data-local install-dvi install-dvi-am install-exec \
735          install-html-am install-info install-info-am install-man \          install-exec-am install-html install-html-am install-info \
736          install-pdf install-pdf-am install-ps install-ps-am \          install-info-am install-man install-pdf install-pdf-am \
737          install-strip installcheck installcheck-am installdirs \          install-ps install-ps-am install-strip installcheck \
738          installdirs-am maintainer-clean maintainer-clean-generic \          installcheck-am installdirs installdirs-am maintainer-clean \
739          mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \          maintainer-clean-generic mostlyclean mostlyclean-generic \
740          ps ps-am tags tags-recursive uninstall uninstall-am          mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
741            uninstall uninstall-am
742    
743    
744  install-data-local:  install-data-local:
745          $(INSTALL) -d $(DESTDIR)${localstatedir}/log          $(INSTALL) -d $(DESTDIR)${localstatedir}/log
746          $(INSTALL) -d $(DESTDIR)${localstatedir}/run          $(INSTALL) -d $(DESTDIR)${localstatedir}/run
747    
748  # Tell versions [3.59,3.63) of GNU make to not export all variables.  # Tell versions [3.59,3.63) of GNU make to not export all variables.
749  # Otherwise a system limit (for SysV at least) may be exceeded.  # Otherwise a system limit (for SysV at least) may be exceeded.
750  .NOEXPORT:  .NOEXPORT:

Legend:
Removed from v.923  
changed lines
  Added in v.1009

svnadmin@ircd-hybrid.org
ViewVC Help
Powered by ViewVC 1.1.28